Bug 699335 - Review Request: python-coffin - Jinja2 adapter for Django
Review Request: python-coffin - Jinja2 adapter for Django
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 03:44 EDT by Rahul Sundaram
Modified: 2011-07-15 10:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-25 03:44:05 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/python-coffin.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/python-coffin-0.3.4-1.src.rpm
Description: 
Jinja2 adapter for Django. Jinja is a small but fast and easy to use stand-alone 
template engine written in pure python.
Comment 1 Narasimhan 2011-05-28 07:22:54 EDT
Hi Rahul,

The source package does not have the license text for BSD license included. Also, apart from __init__.py, there is no header comment in any of the other .py files mentioning the copyright and the license details. Could you ask upstream to include a LICENSE file containing the license text and if possible, include the header comment in other .py files?

Thanks,
Comment 2 Rahul Sundaram 2011-05-28 07:50:37 EDT
Sure.  I dropped a mail upstream but this isn't a blocker.  Merely encouraged.

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

Do continue the review.   Thanks.
Comment 3 Narasimhan 2011-05-28 12:11:40 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i python-coffin-0.3.4-1.src.rpm python-coffin.spec python-coffin-0.3.4-1.src/python-coffin-0.3.4-1.noarch.rpm 

python-coffin.noarch: E: zero-length /usr/lib/python2.7/site-packages/coffin/contrib/markup/models.py
python-coffin.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-coffin-0.3.4/README.rst
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

2 packages and 1 specfiles checked; 1 errors, 1 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK, no arch package
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Licensed as BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum Coffin-0.3.4.tar.gz 
2745eb5ef6e5a0164d81521b3372f7db  Coffin-0.3.4.tar.gz

 md5sum ~/Downloads/Coffin-0.3.4.tar.gz                                        
2745eb5ef6e5a0164d81521b3372f7db  ~/Downloads/Coffin-0.3.4.tar.gz  

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
A mail has been sent to the authors.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Installs fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

>python-coffin.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-coffin-0.3.4/README.rst
This could be fixed. 

Please update the spec (if necessary) once the upstream puts in the LICENSE file. Thanks.

APPROVED.
Comment 4 Rahul Sundaram 2011-05-28 20:21:22 EDT
Thanks for the review. I am going to wait for sometime to see if I hear back from the upstream authors on my mail on the subject of licensing clarification.
Comment 5 Rahul Sundaram 2011-06-23 10:09:27 EDT
Upstream has agreed to clarify the license by including a copy of the three clause BSD license in their release.   Going ahead

New Package SCM Request
=======================
Package Name: python-coffin
Short Description: Jinja2 adapter for Django
Owners: sundaram
Branches: f15 
InitialCC:
Comment 6 Jon Ciesla 2011-06-23 10:10:28 EDT
Git done (by process-git-requests).
Comment 7 Rahul Sundaram 2011-06-27 12:30:42 EDT
Coffin 0.3.5 was released with the inclusion of license being the only difference.  I have built that version for Rawhide.  Thanks
Comment 8 Rahul Sundaram 2011-07-12 05:03:34 EDT
Package Change Request
======================
Package Name: python-coffin
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 9 Jon Ciesla 2011-07-12 08:41:43 EDT
Git done (by process-git-requests).
Comment 10 Rahul Sundaram 2011-07-14 22:08:29 EDT
Package Change Request
======================
Package Name: python-coffin
New Branches: f15
Owners: sundaram pjp
InitialCC:
Comment 11 Jon Ciesla 2011-07-15 10:14:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.